Bug 1410220 - Review Request: puppet-congress
Summary: Review Request: puppet-congress
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-04 19:42 UTC by Dan Radez
Modified: 2017-06-22 15:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-22 15:55:41 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Dan Radez 2017-01-04 19:42:37 UTC
Currently working through getting congress into RDO
https://bugzilla.redhat.com/show_bug.cgi?id=1327635

Part of this is to land puppet-congress RDO too:
https://github.com/openstack/puppet-congress

Comment 1 Dan Radez 2017-01-04 19:56:57 UTC
RDO Review: https://review.rdoproject.org/r/#/c/4203/

Comment 2 Dan Radez 2017-01-05 17:45:04 UTC
licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./Gemfile: *No copyright* UNKNOWN
./LICENSE: Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./Rakefile: *No copyright* UNKNOWN
./metadata.json: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./manifests/client.pp: *No copyright* UNKNOWN
./manifests/config.pp: *No copyright* UNKNOWN
./manifests/db.pp: *No copyright* UNKNOWN
./manifests/deps.pp: *No copyright* UNKNOWN
./manifests/init.pp: *No copyright* UNKNOWN
./manifests/logging.pp: *No copyright* UNKNOWN
./manifests/params.pp: *No copyright* UNKNOWN
./manifests/policy.pp: *No copyright* UNKNOWN
./manifests/server.pp: *No copyright* UNKNOWN
./spec/shared_examples.rb: *No copyright* UNKNOWN
./spec/spec_helper.rb: *No copyright* UNKNOWN
./spec/spec_helper_acceptance.rb: *No copyright* UNKNOWN
./tests/init.pp: *No copyright* UNKNOWN
./manifests/db/mysql.pp: UNKNOWN
./manifests/db/postgresql.pp: UNKNOWN
./manifests/db/sync.pp: *No copyright* UNKNOWN
./manifests/keystone/auth.pp: *No copyright* UNKNOWN
./manifests/keystone/authtoken.pp: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./spec/acceptance/basic_congress_spec.rb: *No copyright* UNKNOWN
./spec/acceptance/basic_congress_spec.rb_: *No copyright* UNKNOWN
./spec/classes/congress_client_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_db_mysql_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_db_postgresql_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_db_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_db_sync_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_init_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_keystone_auth_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_keystone_authtoken_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_logging_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_policy_spec.rb: *No copyright* UNKNOWN
./spec/classes/congress_server_spec.rb: *No copyright* UNKNOWN
./lib/puppet/type/congress_config.rb: *No copyright* UNKNOWN
./spec/acceptance/nodesets/centos-70-x64.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/default.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/nodepool-centos7.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/nodepool-trusty.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/nodepool-xenial.yml: *No copyright* UNKNOWN
./spec/acceptance/nodesets/ubuntu-server-1404-x64.yml: *No copyright* UNKNOWN
./spec/unit/type/congress_config_spec.rb: *No copyright* UNKNOWN
./lib/puppet/provider/congress_config/ini_setting.rb: *No copyright* UNKNOWN
./spec/unit/provider/congress_config/ini_setting_spec.rb: *No copyright* UNKNOWN

Uses Apache v2.0

Comment 4 Javier Peña 2017-01-10 17:09:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated". 27 files have unknown license. Detailed output of
     licensecheck in /tmp/review-puppet-congress/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-puppet/modules,
     /usr/share/openstack-puppet
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     puppet/modules, /usr/share/openstack-puppet
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://tarballs.openstack.org
     /puppet-congress/puppet-congress-0.0.1.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: puppet-congress-0.0.1-0.20170109184746.c155495.el7.centos.noarch.rpm
          puppet-congress-0.0.1-0.20170109184746.c155495.el7.centos.src.rpm
puppet-congress.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-congress.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-congress.noarch: E: no-changelogname-tag
puppet-congress.noarch: W: invalid-license Apache-2.0
puppet-congress.noarch: W: no-documentation
puppet-congress.noarch: E: wrong-script-interpreter /usr/share/openstack-puppet/modules/congress/setup.py /usr/bin/env python
puppet-congress.noarch: E: non-executable-script /usr/share/openstack-puppet/modules/congress/setup.py 644 /usr/bin/env python
puppet-congress.src: E: no-changelogname-tag
puppet-congress.src: W: invalid-license Apache-2.0
puppet-congress.src: W: invalid-url Source0: 0.0.1-0.20170109184746.c155495.tar.gz
2 packages and 0 specfiles checked; 6 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
puppet-congress.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-congress.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-congress.noarch: E: no-changelogname-tag
puppet-congress.noarch: W: invalid-license Apache-2.0
puppet-congress.noarch: W: no-documentation
puppet-congress.noarch: E: non-executable-script /usr/share/openstack-puppet/modules/congress/setup.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 4 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /tmp/puppet-congress.spec	2017-01-10 17:59:07.859274554 +0100
+++ /tmp/review-puppet-congress/srpm-unpacked/puppet-congress.spec	2017-01-09 19:47:46.000000000 +0100
@@ -1,8 +1,10 @@
+%global dlrn 1
+%define upstream_version 0.0.1
 %{!?upstream_version: %global upstream_version %{version}%{?milestone}}
 %{!?upstream_name: %global upstream_name openstack-congress}
 
 Name:                   puppet-congress
-Version:                0.0.1
-Release:                0.20170109184746.c155495
+Version: 0.0.1
+Release: 0.20170109184746.c155495%{?dist}
 Summary:                Puppet module for OpenStack Congress
 License:                Apache-2.0
@@ -10,5 +12,5 @@
 URL:                    https://launchpad.net/puppet-congress
 
-Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
+Source0: 0.0.1-0.20170109184746.c155495.tar.gz
 
 BuildArch:              noarch
@@ -49,4 +51,2 @@
 
 %changelog
-* Mon Jan 09 2017 Dan Radez <dradez@redhat.com> - XXX-XXX
-- Initial Packaging


Requires
--------
puppet-congress (rpmlib, GLIBC filtered):
    puppet
    puppet-inifile
    puppet-keystone
    puppet-openstacklib
    puppet-oslo
    puppet-stdlib



Provides
--------
puppet-congress:
    puppet-congress



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n puppet-congress -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

* The differences between the spec from the review and srpm are due to the SRPM being generated by DLRN, so they are expected. Same for the dist tag being present.

* There is no official puppet-congress release.

* The LICENSE file issue is caused by the spec file being automatically generated, it is accepted as is.

* The package does not contain python2-devel or python3-devel as BR (checked), so this can be a fedora-review hiccup.

The package is APPROVED.

Comment 5 Christopher Brown 2017-06-22 15:55:41 UTC
This was landed, closing.


Note You need to log in before you can comment on or make changes to this bug.